------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]全球万圣活动-噩梦456
--Creator:		翁清海
--Created:		2020/09/18
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>254

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(25, 25)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)

hero:SetPos(25, 25)
hero:SetDir(4)

CppScriptMgr:AddEffect("QiFuLev3", 25, 25)
CppScriptMgr:WaitMilSec(1000)

hero:Say("Please bless me with love!", 1000)
CppScriptMgr:WaitMilSec(1000)

local player1  = CppScriptMgr:AddSimplePlayer(1053400, 25, 21, "Star Imp Queen", 4003068662,1)
CppScriptMgr:AddEffect("zero8159", 25, 21)

player1:Say("May happiness and love be with you always!", 1000)
CppScriptMgr:WaitMilSec(1000)

hero:SetAction(200)
CppScriptMgr:AddEffect("zero8160", 25, 25)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:AddEffect("NEW-flower-rain", 25, 25)
CppScriptMgr:WaitMilSec(1000)
